## pcb 4.0.2

=== debian/changelog ===
pcb (1:4.0.2-4) unstable; urgency=medium

  * debian/watch:
    + Remove non-working URL
    + debian/watch: limit search pattern to upstream new versioning scheme

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 11 Oct 2017 04:52:06 +0200

pcb (1:4.0.2-3) unstable; urgency=medium

  * Add -ffloat-store to CFLAGS for *-i386 builds
  * fix_typos.diff: fix  further spelling errors
  * Fix spelling error in an old changelog entry

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 03 Oct 2017 03:43:25 +0200

pcb (1:4.0.2-2) unstable; urgency=medium

  * Add rm_mimelnk.diff patch to remove deprecated
  * mimelnk files (Closes: #875526)
  * Add -ffloat-store to CFLAGS for i386 builds.
    Thanks to Adrian Bunk <bunk@debian.org>
    (Closes: #876641)
  * Update Standards-Version to 4.1.1
  * Re-add myself to uploaders
  * Change Vcs-* fields to secure URLs
  * Update my email address
  * Update copyright years
  * Fix spelling errors
  * Add fix_typos.diff patch to fix upstream
    spelling errors
  * Removed unused lintian overrides
  * Bump to compat level 10
    + Remove autotools-dev sequence
    + Disable autoreconf as it fails the build
    + Link package documentation using pcb*.links,
      since dh_installdocs --linkdoc between
      different arch. packages is not supported in
      compat level 10

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 01 Oct 2017 15:01:48 +0200

pcb (1:4.0.2-1) unstable; urgency=medium

  * new upstream release, using epoch to handle return to simple version
    numbers, closes: #874414
  * clean out Uploaders, closes: #759991, #831485, #859281 

 -- Bdale Garbee <bdale@gag.com>  Wed, 06 Sep 2017 08:35:44 -0600

pcb (20140316-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * debian/rules update to be able to make arch-indep-only builds and
    arch-dependent-only builds. Closes: #806092

 -- Dima Kogan <dkogan@debian.org>  Sun, 25 Dec 2016 14:56:02 -0800

pcb (20140316-3) unstable; urgency=medium

  * (Build-)Depend on unversioned tcl/tk

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 27 Aug 2014 16:01:10 +0300

pcb (20140316-2) unstable; urgency=medium

  * Revert disable_hid_png3_test.diff patch.
  * Added hid_png.diff patch from upstream which fixes hid_png3 test.
    The test will remain disabled though, as the change to the output png
    cannot be represented in the diff (Closes: #754760)
  * Build with autotools-dev
  * Removed outdated_config.diff patch.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 27 Aug 2014 15:18:49 +0300

pcb (20140316-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 17 Mar 2014 09:02:13 -0600

pcb (20110918-9) unstable; urgency=low

  * Build-Dep on libmotif-dev instead of lesstif2-dev (Closes: #714681)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 02 Jul 2013 07:43:29 +0200

pcb (20110918-8) unstable; urgency=low

  * debian/control:
    + Drop libgd2-xpm-dev from Build-Deps
    + Bumped Standards-Version to 3.9.4
    + Update Build-Depends from libgd2-dev to libgd-dev
    + Use canonical URIs in VCS-* fields.
    + Remove obsolete DMUA field.
  * debian/copyright: Updated copyright years.
  * debian/*.menu: Use absolute path for icon in menu files.
  * debian/pcb-{gtk,lesstif}.lintian-overrides: Removed unused overrides for
    menu-icon-missing

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 28 Jun 2013 00:48:31 +0200

pcb (20110918-7) unstable; urgency=low

  * Force 64-bit coordinate types (even on 32-bit archs)
    Thanks to Keith Packard <keithp@debian.org> (Closes: #683980)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 06 Aug 2012 11:11:20 +0200

pcb (20110918-6) unstable; urgency=low

  * Imported patch from Ubuntu and forwarded it upstream:
    debian/patches/drop_check_global_included.patch:
    Drop the #if check for the declaration of hid_get_extents().
  * Added fix_CPPFLAGS.diff patch to Append input CPPFLAGS for lesstif target

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 23 May 2012 13:14:33 +0200

pcb (20110918-5) unstable; urgency=low

  * Added 0001-Fixed-command-line-batch-output-for-some-exporters.patch from
    upstream git to fix command line batch output for some exporters.
    Thanks to Traumflug <mah@jump-ing.de> (LP: #988503)
  * Bumped compat level to 9
  * debian/control: Updated Standards-Version to 3.9.3
  * debian/copyright: Updated copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 08 May 2012 21:30:17 +0200

pcb (20110918-4) unstable; urgency=low

  * Close 644139 in previous changelog entry
  * Added disable_hid_png3_test.diff to disable hid_png3 test
    (Closes: #642923)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 20 Dec 2011 20:45:37 +0200

pcb (20110918-3) unstable; urgency=low

  * debian/rules: Remove needlessly installed header file. (Closes: #644139)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 03 Oct 2011 21:40:56 +0200

pcb (20110918-2) unstable; urgency=low

  * Added default_GtkFileChooser_cwd.diff patch to default the GTK file
    chooser dialogs to cwd (Closes: #642060)
  * debian/control: Remove ${shlib:Depends} from pcb-common's dependencies.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 21 Sep 2011 17:12:08 +0200

pcb (20110918-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Added URL for gEDA website
  * debian/control:
    + Bumped Standards-Version to 3.9.2
    + Replaced Build-Dep on libgtk2.0-dev & libglib2.0-dev with
      libgtkglext1-dev
  * Bumped compat level 8
  * debian/copyright:
    + Updated copyright years
    + Updated copyright format
  * debian/rules:
    + Remove needlessly installed static library before installing common

