## pcb 4.1.3

=== debian/changelog ===
pcb (1:4.1.3-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 24 Nov 2018 13:38:26 -0800

pcb (1:4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3

 -- Bdale Garbee <bdale@gag.com>  Thu, 04 Oct 2018 08:30:00 -0600
