=== debian/control ===
--- 
+++ 
@@ -1,14 +1,28 @@
 Source: pcb
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>,
             أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 10), bison, flex, libgtkglext1-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
+Build-Depends: debhelper (>= 10),
+               bison,
+               flex,
+               libgtkglext1-dev,
+               tk,
+               libgd-dev,
+               libdbus-1-dev,
+               libmotif-dev,
+               libxmu-dev,
+               libxml-parser-perl,
+               intltool,
+               imagemagick,
+               gerbv,
+               ghostscript
 Standards-Version: 4.1.1
 Homepage: http://pcb.geda-project.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/pcb.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-electronics/pcb.git
+Vcs-Git: https://salsa.debian.org/electronics-team/pcb.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/pcb
 
 Package: pcb
 Architecture: all
@@ -61,4 +75,3 @@
  which can tremendously reduce layout time.
  .
  This package contains the LessTif user-interface for pcb.
-
