=== debian/rules ===
--- 
+++ 
@@ -91,3 +91,6 @@
 override_dh_compress:
 	# exclude example files from compression
 	dh_compress -X.pcb -XLED
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
