## pcb 4.2.0

=== debian/changelog ===
pcb (1:4.2.0-2) unstable; urgency=medium

  * disable test suite on i386 due to known upstream issue in test harness

 -- Bdale Garbee <bdale@gag.com>  Sun, 03 Feb 2019 16:01:51 -0700

pcb (1:4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0

 -- Bdale Garbee <bdale@gag.com>  Sat, 02 Feb 2019 15:33:35 -0700
