=== debian/control ===
--- 
+++ 
@@ -1,24 +1,10 @@
 Source: pcb
 Section: electronics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>,
             أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 10),
-               bison,
-               flex,
-               libgtkglext1-dev,
-               tk,
-               libgd-dev,
-               libdbus-1-dev,
-               libmotif-dev,
-               libxmu-dev,
-               libxml-parser-perl,
-               intltool,
-               imagemagick,
-               gerbv,
-               ghostscript
+Build-Depends: debhelper (>= 10), bison, flex, libgtkglext1-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
 Standards-Version: 4.1.1
 Homepage: http://pcb.geda-project.org/
 Vcs-Git: https://salsa.debian.org/electronics-team/pcb.git
@@ -75,3 +61,4 @@
  which can tremendously reduce layout time.
  .
  This package contains the LessTif user-interface for pcb.
+
