=== debian/rules ===
--- 
+++ 
@@ -29,8 +29,10 @@
 	dh_auto_build -a --builddirectory build_lesstif
 
 override_dh_auto_test:
+ifneq (${DEB_BUILD_ARCH},i386)
 	dh_auto_test -a --builddirectory build_gtk
 	dh_auto_test -a --builddirectory build_lesstif
+endif
 
 override_dh_auto_install-arch:
 	make -C build_gtk install-exec DESTDIR=$$PWD/debian/tmp AM_UPDATE_INFO_DIR=no
@@ -91,6 +93,3 @@
 override_dh_compress:
 	# exclude example files from compression
 	dh_compress -X.pcb -XLED
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
