## pcb 4.2.2

=== debian/changelog ===
pcb (1:4.2.2-1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:53:29 -0500

pcb (1:4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2
  * Drop patches, applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 22 Jan 2020 09:15:48 +0100

pcb (1:4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * Bumped compat level to 12
  * Update copyright years
  * Set debhelper compat level in build deps
  * Add Rules-Requires-Root=no
  * Update source lintian-overrides location
  * Use secure copyright format URI
  * d/control, d/changelog: remove trailing whitespaces
  * Add typos.diff to fix spelling mistakes
  * Add copyright info for data/appdata.xml*
  * d/rules: set DH_COMPAT=10 during dh_auto_configure

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Jan 2020 16:04:17 +0100
