## pcb 4.3.0

=== debian/changelog ===
pcb (1:4.3.0-4) unstable; urgency=medium

  * Team upload
  * Build without GL support
  * Disable tests on all architectures (Closes: #1081090)

 -- Bastian Germann <bage@debian.org>  Tue, 14 Jan 2025 12:23:08 +0100

pcb (1:4.3.0-3) unstable; urgency=medium

  * Upload to unstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 14 Jun 2023 22:23:43 +0200

pcb (1:4.3.0-2) experimental; urgency=medium

  * d/rules: build with --with-gaf-datadir option
  * Add gaf-datadir.diff patch to fix setting of GAF scheme path
  * d/pcb-common.lintian-overrides: add override for false
    package-contains-documentation-outside-usr-share-doc tags

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 17 May 2023 23:25:02 +0200

pcb (1:4.3.0-1) experimental; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 4.3.0
  * d/copyright: update copyright years
  * d/control:
    + Bumped debhelper-compat to 13
    + Update to standards-version 4.6.2
  * d/watch: update file standard
  * Remove source lintian-overrides, no more relevant
  * d/pcb-common.lintian-overrides:
    + Update
    + Add override for spare-manual-page
  * d/u/metadata: remove Homepage field

  [ Bdale Garbee ]
  * remove Bdale from uploaders list

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Update changelog for 1:4.3.0-1~2.gbp6cc3df release

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 16 May 2023 01:19:59 +0200
