=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: electronics
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
-Uploaders: Bdale Garbee <bdale@gag.com>,
-            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12), bison, flex, libgtkglext1-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
-Standards-Version: 4.4.1
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper-compat (= 13), bison, flex, libgtk2.0-dev, tk, libgd-dev, libdbus-1-dev, libmotif-dev, libxmu-dev, libxml-parser-perl, intltool, imagemagick, gerbv, ghostscript
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://pcb.geda-project.org/
 Vcs-Git: https://salsa.debian.org/electronics-team/pcb.git
