=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
   export DEB_CFLAGS_MAINT_APPEND=-ffloat-store
 endif
 
-CONFIGURE_OPTS=--disable-rpath --enable-dbus --disable-update-desktop-database --disable-update-mime-database --enable-dependency-tracking --enable-coord64 LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
+CONFIGURE_OPTS=--disable-rpath --enable-dbus --disable-update-desktop-database --disable-update-mime-database --enable-dependency-tracking --enable-coord64 --with-gaf-datadir=/usr/share/lepton-eda LDFLAGS="$(LDFLAGS) -Wl,--as-needed"
 
 %:
 	dh $@
@@ -21,18 +21,14 @@
 # I configure build-gtk unconditionally (arch-dependent and arch-independent)
 # because I need a single configure invocation in both cases
 override_dh_auto_configure:
-	dh_auto_configure    --builddirectory build_gtk -- $(CONFIGURE_OPTS) --with-gui=gtk
-	dh_auto_configure -a --builddirectory build_lesstif -- $(CONFIGURE_OPTS) --with-gui=lesstif
+	DH_COMPAT=10 dh_auto_configure    --builddirectory build_gtk -- $(CONFIGURE_OPTS) --with-gui=gtk --enable-gl=no
+	DH_COMPAT=10 dh_auto_configure -a --builddirectory build_lesstif -- $(CONFIGURE_OPTS) --with-gui=lesstif
 
 override_dh_auto_build:
 	dh_auto_build -a --builddirectory build_gtk
 	dh_auto_build -a --builddirectory build_lesstif
 
 override_dh_auto_test:
-ifneq (${DEB_BUILD_ARCH},i386)
-	dh_auto_test -a --builddirectory build_gtk
-	dh_auto_test -a --builddirectory build_lesstif
-endif
 
 override_dh_auto_install-arch:
 	make -C build_gtk install-exec DESTDIR=$$PWD/debian/tmp AM_UPDATE_INFO_DIR=no
