=== debian/watch ===
version=4
http://sf.net/pcb/pcb-(.*)\.(.*)\.(.*)\.tar\.gz
