## pcb 20050609-1ubuntu1

=== debian/changelog ===
pcb (20050609-1ubuntu1) dapper; urgency=low

  * Add desktop file from Vassilis Pandis (Closes Malone: #45191)

 -- Barry deFreese <bddebian@comcast.net>  Sat, 20 May 2006 14:15:54 -0400
