=== debian/control ===
Source: pcb
Section: electronics
Priority: optional
Maintainer: Hamish Moffatt <hamish@debian.org>
Build-Depends: debhelper (>= 4), libx11-dev, libsm-dev, libice-dev, libxext-dev, libxt-dev, libxmu-dev, libxpm-dev, xutils, bison, flex, libgtk2.0-dev, libglib2.0-dev, libstroke0-dev, tk8.4
Standards-Version: 3.6.2

Package: pcb
Architecture: any
Depends: ${shlibs:Depends}, m4, tk8.4 | wish, tcl8.4 | tclsh
Description: printed circuit board (pcb) design program
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
