=== debian/rules ===
#!/usr/bin/make -f
#                                          -*- makefile -*-
# debian/rules file for the Debian/GNU Linux pcb package
# Copyright 1997-99 by Hartmut Koptein <koptein@debian.org>

package = pcb

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --disable-rpath
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

binary-indep:	build

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=`pwd`/debian/$(package) install

	cp -a doc/pcb.html/* debian/$(package)/usr/share/doc/$(package)/html/
	mv debian/$(package)/usr/share/pcb/pcb.pdf debian/$(package)/usr/share/doc/$(package)
	mv debian/$(package)/usr/share/pcb/refcard.pdf debian/$(package)/usr/share/doc/$(package)
	rm debian/$(package)/usr/share/pcb/pcb.ps
	rm debian/$(package)/usr/share/pcb/refcard.ps

	mv debian/$(package)/usr/share/pcb/examples debian/$(package)/usr/share/doc/$(package)
	mv debian/$(package)/usr/share/pcb/tutorial debian/$(package)/usr/share/doc/$(package)

	chmod a+x debian/$(package)/usr/share/pcb/tools/MergePCBPS
	chmod a+x debian/$(package)/usr/share/pcb/tools/Merge_dimPCBPS
	chmod a+x debian/$(package)/usr/share/pcb/tools/tgo2pcb.tcl
	chmod a+x debian/$(package)/usr/share/pcb/tools/PCB2HPGL

	dh_installdocs NEWS README_FILES/Whats_new_in_2.0
	cp debian/pcb.xpm debian/$(package)/usr/share/pixmaps

	install -d debian/$(package)/usr/share/applications
	install -m644 debian/pcb.desktop debian/$(package)/usr/share/applications

	dh_installmenu
	dh_installchangelogs ChangeLog

	dh_fixperms
	dh_strip
	# exclude example files from compression
	dh_compress -X.pcb -XLED
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
