## pcb 20091103

=== debian/control ===
Source: pcb
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>, Wesley J. Landaker <wjl@icecavern.net>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 7.4.3~), bison, flex, libgtk2.0-dev, libglib2.0-dev, tk8.5, libgd2-xpm-dev | libgd2-dev, libdbus-1-dev, lesstif2-dev, libxmu-dev, libxml-parser-perl
Standards-Version: 3.8.3
Homepage: http://pcb.gpleda.org/
Vcs-Git: git://git.debian.org/git/pkg-electronics/pcb.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/pcb.git

Package: pcb
Architecture: all
Depends: ${misc:Depends}, pcb-gtk | pcb-lesstif, pcb-common
Description: printed circuit board (pcb) design program - meta-package
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.

Package: pcb-common
Architecture: all
Replaces: pcb
Depends: ${misc:Depends}, ${shlibs:Depends}, m4, tk8.5 | wish, tcl8.5 | tclsh, pcb-gtk | pcb-lesstif
Recommends: extra-xdg-menus
Description: printed circuit board (pcb) design program - common files
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
 .
 This package contains the common files.

Package: pcb-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-common
Description: printed circuit board (pcb) design program - GTK+ interface
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
 .
 This package contains the GTK+ user-interface for pcb.

Package: pcb-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, pcb-common
Description: printed circuit board (pcb) design program - LessTif interface
 PCB is an interactive printed circuit board editor for the X11 window 
 system. PCB includes a rats nest feature, design rule checking, and can 
 provide industry standard RS-274-X (Gerber), NC drill, and centroid data 
 (X-Y data) output for use in the board fabrication and assembly process. 
 PCB offers high end features such as an autorouter and trace optimizer 
 which can tremendously reduce layout time.
 .
 This package contains the LessTif user-interface for pcb.
